Subject: [OPSAWG] I would like to extend ENTITY-MIB (rfc4133)...

From: Shimin Ban <[email-masked]>
Date: Thu, 26 Feb 2009 13:37:07 +0800

Hello,
I would like to extend RFC4133. I'ld like to add the following information to entity MIB:

(1) The absolute position of the entity in its parent
According to the absolute position and the information provided by entity MIB, the NMS can display the panel of devices easily regardless of vendor.
The customer could monitor the status of the entity easily through the panel. But the entity MIB does not provide the entity status information.
(2) The status of the entity
(3) The other important information of CPU, Sensor, disk, powersupply etc.

Can the ENTITY-MIB be extended? What needs to happen? 
Thank you very much.

Cheers
Shimin Ban

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 26 Feb 2009 14:40:38 +0100

Hi Shimin Ban,
 
Please see in-line. 
 
Regards,
 
Dan

________________________________

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of Shimin Ban
	Sent: Thursday, February 26, 2009 7:37 AM
	To: [email-masked]
	Subject: [OPSAWG] I would like to extend ENTITY-MIB (rfc4133)...

	Hello,
	I would like to extend RFC4133. I'ld like to add the following
information to entity MIB:
	 
	(1) The absolute position of the entity in its parent
	According to the absolute position and the information provided
by entity MIB, the NMS can display the panel of devices easily
regardless of vendor.
	The customer could monitor the status of the entity easily
through the panel. But the entity MIB does not provide the entity status
information.
	[DR] You probably need to provide more information about what
you mean by 'absolute position'. Is this about order (like first card,
second card, etc.) or even more - like exact coordinates on a panel
drawing? 
	 
	Depending on your answers other folks writing similar
applications could comment if representing such information in the MIB
of the device is important enough to be included in an extension of the
Entity MIB. 
	 
	(2) The status of the entity
	[DR] Is the information in the Entity State MIB (RFC 4268) not
sufficient? 

	(3) The other important information of CPU, Sensor, disk,
powersupply etc.
	[DR] Is the information in the Entity Sensor MIB (RFC 3433)  not
sufficient? 
	 
	Can the ENTITY-MIB be extended? What needs to happen? 
	[DR] The OPSAWG can be a home for working on such extensions if
there is interest here. Let us see what other people think. 
	 
	Thank you very much.
	 
	Cheers
	Shimin Ban

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 26 Feb 2009 14:44:51 +0100

> Can the ENTITY-MIB be extended? What needs to happen? 

I think it helps if you write an Internet-Draft explaining the MIB
extentions you have in your mind in some more detail.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>